;   use this conneciton driagram to test this code.   ;
;                                                     ;
;              vdd 5v    vss gnd                      ;
;                 |         |                         ;
;                 1|"""V"""|8                         ;
;       ----------2|  12 f |7---------------+----PGC  ;
;       |    -----3|  675  |6----PGD        |         ;
;       |    |    4|_______|5-------       R10k       ;
;       |    |    |                |        |         ;
;      R3k  R3K  VPP     vdd       |    [white led]   ;
;       |    |            |        v        |         ;
; [red and green led]     ---[trimmer 10k]--+         ;
;          |                                |         ;
;         GND                              GND        ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
include 'include/pic14.inc'
macro delai d {movlw d
	       call delay}
vert  =0001'0000b
rouge =0010'0000b
blanc =0000'0001b
start:
	call gpinit
	call adinit
	call ledinit
	goto @f
@@:
	delai 10		 ;1=from 760Hz to 25540Hz
	gpout vert+rouge+blanc
	delai 100		 ;1=50%
	gpout 0000'0000b
	goto @b
;;;;;;;;;;;;;;;;;;;;;;;;;;;
delay:
	call adsample
	movwf al
.1:
	mov ah,bl
.2:
	loop ah,.2
	loop al,.1
	return
;;;;;;;;;;;;;;;;;;;;;;;;;;;
gpinit:
	movlw 1100'1110b
	tris GPIO
	return
;;;;;;;;;;;;;;;;;;;;;;;;;;;
ledinit:
	gpout 0011'0001b
	return
;;;;;;;;;;;;;;;;;;;;;;;;;;;
adinit:
	movb ADCON0,0000'1001b
	bank1
	movb ANSEL,0001'0100b
	bank0
	bsf ADCON0,1
	return
;;;;;;;;;;;;;;;;;;;;;;;;;;;
adsample:
	btfsc ADCON0,1
	return
	incf ADRESH,W
	movwf bl
	bsf ADCON0,1
	return
;;;;;;;;;;;;;;;;;;;;;;;;;;;
	osccal 66h
;;;;;;;;;;;;;;;;;;;;;;;;;;;
	conf (CPDoff + CPoff + PWRToff + INTGP4)
;;;;;;;;;;;;;;;;;;;;;;;;;;;
	eeprom
	db ' h e l l o w o r l d'
	db ' p r o g r a m m e   t e s t   n  0 .'
